Subject: udev logging not working in Devuan Jessie rc

From: Enrico Menotti <[email-masked]>
Date: Sat, 29 Apr 2017 20:19:52 +0200 (CEST)

Package: udev

Version: 215-17+deb8u6

I had the need to get a log from udev. I found four ways to do this:

1. changing /etc/udev/udev.conf, and inserting there udev_log="debug"

2. passing to the kernel the parameter udev.log-priority=debug (at boot time)

3. declaring the environment variable UDEV_LOG=debug

4. using udevadm (this only works after boot)

I tried the first three options (I needed a log at boot), and none worked.

So I downgraded udev to the version included with Debian Wheezy (175-7.2). This allowed a log (I used the first method) in /var/log/daemon.log.

I suspect udev in Jessie to rely on systemd for producing logs.